Mail archive
alpine-aports

[alpine-aports] [PATCH 2/6] testing/libmbim: new aport

From: Stuart Cardall <developer_at_it-offshore.co.uk>
Date: Thu, 23 Apr 2015 17:13:33 +0000

Required by networkmanager
---------------------------
libmbim is a library for talking to WWAN modems and devices which speak
the Mobile Interface Broadband Model (MBIM) protocol.

http://www.freedesktop.org/wiki/Software/libmbim
---
 testing/libmbim/APKBUILD | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)
 create mode 100644 testing/libmbim/APKBUILD
diff --git a/testing/libmbim/APKBUILD b/testing/libmbim/APKBUILD
new file mode 100644
index 0000000..a207f9d
--- /dev/null
+++ b/testing/libmbim/APKBUILD
_at_@ -0,0 +1,35 @@
+# Contributor: Stuart Cardall <developer_at_it-offshore.co.uk>
+# Maintainer: Stuart Cardall <developer_at_it-offshore.co.uk>
+pkgname=libmbim
+pkgver=1.12.2
+pkgrel=0
+pkgdesc="MBIM modem protocol helper library"
+url="http://www.freedesktop.org/wiki/Software/libmbim"
+arch="all"
+license="GPL2"
+makedepends="$depends_dev gtk-doc python glib-dev py-gobject udev-dev"
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://www.freedesktop.org/software/$pkgname/$pkgname-$pkgver.tar.xz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--localstatedir=/var \
+		--disable-static \
+	|| return 1
+	make || return 1
+	make check || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install
+}
+
+md5sums="921fb5ab3f13f1e00833e009d8f3b4f6  libmbim-1.12.2.tar.xz"
+sha256sums="949351d3e3d69b81e40a49f1d187944c26149e0647a415f0227ccdc112047b29  libmbim-1.12.2.tar.xz"
+sha512sums="d9ae50fecd39f2581ca8db21ec66ac6bfe13e10fe9298a7ec60338f66421ca8411dee3042f58692d60d491d17324d25233623674d322e81f0205c0dea486361a  libmbim-1.12.2.tar.xz"
-- 
2.3.5
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Apr 23 2015 - 17:13:33 GMT